Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

List all roles containing one of the given users.

List all roles containing one of the given users. Get organizational roles containing user from list. Title will be returned by the first available of the accepted languages in the header (it, de, …).

Security: Any user holding a Bpanda licence for the process space.

POST/v1/warehouses/{warehouseId}/orgstructure/roles/byuserids
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

Query parameters
fromAccumulatedboolean

use only roles or roles and role subsets (intersections with org units)

Request body
requiredapplication/json

IDs of the users

idsstring[]required
Responses
200

List of userIds each with corresponding roles.

Array of UserWithOrgRoles
rolesOrgRoleShort[]required
Show properties
Array of OrgRoleShort
roleIdstringrequired
titlestringrequired
userIdstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/orgstructure/roles/byuserids' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "ids": [
    "string"
  ]
}'
Response
[
  {
    "roles": [
      {
        "roleId": "string",
        "title": "string"
      }
    ],
    "userId": "string"
  }
]